using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Globalization;
using System.Web.Security;
using PushPlatform.Data;

namespace PushPlatform.Data.MvcModel
{
    public partial class SysMenuModel
    {
        
        #region Column Mapped Properties
        
        
        [Display(Name = "Id")]
        public System.String Id { get; set; }
        
        [Display(Name = "ParentId")]
        public System.String ParentId { get; set; }
        
        [Display(Name = "MenuName")]
        public System.String MenuName { get; set; }
        
        [Display(Name = "MenuUrl")]
        public System.String MenuUrl { get; set; }
        
        [Display(Name = "MenuSort")]
        public System.Int32? MenuSort { get; set; }
        
        [Display(Name = "CreateUser")]
        public System.String CreateUser { get; set; }
        
        [Display(Name = "CreateTime")]
        public System.DateTime CreateTime { get; set; }
        
        [Display(Name = "UpdateUser")]
        public System.String UpdateUser { get; set; }
        
        [Display(Name = "UpdateTime")]
        public System.DateTime? UpdateTime { get; set; }
        
        [Display(Name = "IsDeleted")]
        public System.SByte IsDeleted { get; set; }
        
        [Display(Name = "Timestamp")]
        public System.Int64 Timestamp { get; set; }
        
        
        
        
        
        
        
        #endregion
        
        
    }
}

